aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/UserScripts/WallpaperAutoChange.sh
diff options
context:
space:
mode:
authorJaKooLit <jimmielovejay.com>2024-01-01 18:43:31 +0900
committerJaKooLit <jimmielovejay.com>2024-01-01 18:43:31 +0900
commit2bbe867a07895b5bfdd00722830324fb1b37cf11 (patch)
treed344007ddc9614137c64b6ea4bf619310646e59f /config/hypr/UserScripts/WallpaperAutoChange.sh
parentf7c551d45dee4dee7b2ae7af635506f6bad0c1bc (diff)
Just a small tinkering... :)
Diffstat (limited to 'config/hypr/UserScripts/WallpaperAutoChange.sh')
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperAutoChange.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/config/hypr/UserScripts/WallpaperAutoChange.sh b/config/hypr/UserScripts/WallpaperAutoChange.sh
new file mode 100755
index 00000000..56f2ee05
--- /dev/null
+++ b/config/hypr/UserScripts/WallpaperAutoChange.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+## /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ ##
+# source https://wiki.archlinux.org/title/Hyprland#Using_a_script_to_change_wallpaper_every_X_minutes
+
+# This script will randomly go through the files of a directory, setting it
+# up as the wallpaper at regular intervals
+#
+# NOTE: this script uses bash (not POSIX shell) for the RANDOM variable
+
+pywal_refresh=$HOME/.config/hypr/scripts/RefreshNoWaybar.sh
+
+if [[ $# -lt 1 ]] || [[ ! -d $1 ]]; then
+ echo "Usage:
+ $0 <dir containing images>"
+ exit 1
+fi
+
+# Edit below to control the images transition
+export SWWW_TRANSITION_FPS=60
+export SWWW_TRANSITION_TYPE=simple
+
+# This controls (in seconds) when to switch to the next image
+INTERVAL=1800
+
+while true; do
+ find "$1" \
+ | while read -r img; do
+ echo "$((RANDOM % 1000)):$img"
+ done \
+ | sort -n | cut -d':' -f2- \
+ | while read -r img; do
+ swww img "$img"
+ $pywal_refresh
+ sleep $INTERVAL
+
+ done
+done
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage